API_HEADERS = \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_abi.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_api.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_acl.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_argv.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_atom.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_atomic.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_auxv.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_blitter.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_compiler.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_crc32.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_crc64.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_daemon.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_dalist.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_debug.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_device.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_exception.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_file.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_fsctl.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_guid.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_hash.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_ioctl.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_ipc.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_istat.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_job.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_ldr.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_locale.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_memory.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_mount.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_msq.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_object.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_os.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_pe.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_pnp.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_port.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_process.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_profiling.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_registry.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_section.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_security.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_sem.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_slist.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_socket.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_stat.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_statfs.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_status.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_string.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_symlink.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_sync.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_sysinfo.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_termios.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_thread.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_time.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_token.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_tty.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_unicode.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_uuid.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./nt_vfd.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./ntapi.h \

API_HEADERS_BITS = \
	$(SOURCE_DIR)/include/$(PACKAGE)/./bits/nt_atomic_inline_asm.h \

API_HEADERS_I386 = \
	$(SOURCE_DIR)/include/$(PACKAGE)/./bits/nt32/nt_atomic_i386_asm__gcc.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./bits/nt32/nt_atomic_i386_asm__msvc.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./bits/nt32/nt_thread_i386.h \

API_HEADERS_X86_64 = \
	$(SOURCE_DIR)/include/$(PACKAGE)/./bits/nt64/nt_atomic_x86_64_asm__gcc.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./bits/nt64/nt_atomic_x86_64_asm__msvc.h \
	$(SOURCE_DIR)/include/$(PACKAGE)/./bits/nt64/nt_thread_x86_64.h \

INTERNAL_HEADERS = \
	$(SOURCE_DIR)/src/internal/./ntapi_blitter.h \
	$(SOURCE_DIR)/src/internal/./ntapi_context.h \
	$(SOURCE_DIR)/src/internal/./ntapi_fnapi.h \
	$(SOURCE_DIR)/src/internal/./ntapi_hash_table.h \
	$(SOURCE_DIR)/src/internal/./ntapi_impl.h \
	$(SOURCE_DIR)/src/internal/./ntapi_log.h \
	$(SOURCE_DIR)/src/internal/./ntapi_pty.h \

ALL_HEADERS = $(API_HEADERS) $(INTERNAL_HEADERS) \
		$(API_HEADERS_BITS) \
		$(API_HEADERS_I386) \
		$(API_HEADERS_X86_64) \
